Page MenuHomePhabricator

Requesting temporary lift of IP cap on 2016-09-21 - University of British Columbia
Closed, ResolvedPublic

Description

In reading the documentation about hosting a Wikipedia Edit-a-Thon, we see that if you expect to create more than 6 new Wikipedia accounts, you need to request permission. https://meta.wikimedia.org/wiki/Mass_account_creation#Requesting_temporary_lift_of_IP_cap

We are planning a Wikipedia edit-a-thon at Woodward Library at the University of British Columbia on September 21st. We hope for a good turnout and that there will be many accounts created.

The event time frame of your event: 10:00 AM- 4:00 PM September 21, 2016 and the time zone is Pacific Standard Time.

The IPs to allow:

We are requesting participants bring their own laptops, so the majority will be using wireless devices.
The whole range of wireless networks IP ranges (per this document: https://it.ubc.ca/services/email-voice-internet/list-ubc-ip-addresses)
128.189.64.0 - 128.189.95.255 128.189.64.0/19 UBC Vancouver - ubcsecure wireless network
128.189.192.0 - 128.189.255.255 128.189.192.0/18 UBC Vancouver - ubcsecure wireless network
206.12.64.0 - 206.12.71.255 206.12.64.0/21 UBC Vancouver - ubcsecure wireless network
206.87.112.0 - 206.87.119.255 206.87.112.0/21 UBC Vancouver - ubcsecure wireless network
206.87.120.0 - 206.87.127.255 206.87.120.0/21 UBC Vancouver - ubcsecure wireless network
206.87.128.0 - 206.87.159.255 206.87.128.0/19 UBC Vancouver - ubcsecure wireless network
206.87.192.0 - 206.87.199.255 206.87.192.0/21 UBC Vancouver - ubcsecure wireless network
206.87.208.0 - 206.87.215.254 206.87.208.0/21 UBC Vancouver - ubcsecure wireless network
206.87.216.0 - 206.87.223.255 206.87.216.0/21 UBC Vancouver - ubcsecure wireless network

We will also be using some workstations from the following IP ranges:
137.82.104.0~137.82.104.255
137.82.79.0~137.82.79.128
137.82.82.128~137.82.82.255

We are hopeful to have 50 people attend this event.

We will be editing Wikipedia pages and creating new ones. Here is our project page: https://en.wikipedia.org/wiki/Wikipedia:Meetup/Vancouver/LocalWomeninScience#Event_information

Please contact me to let me to confirm. Thank you!

Kind regards,
Katherine Miller
katherine.miller@ubc.ca
604-822-0295

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptAug 25 2016, 10:49 PM
Aklapper renamed this task from Requesting temporary lift of IP cap - University of British Columbia to Requesting temporary lift of IP cap on 2016-09-21 - University of British Columbia.Aug 26 2016, 9:12 AM
Urbanecm moved this task from Backlog to Working on on the Wikimedia-Site-requests board.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 26 2016, 10:48 AM
Urbanecm triaged this task as Medium priority.EditedAug 26 2016, 10:49 AM

@Katmil2020 Hi, which projects should be affected? English Wikipedia or more of them?

Change 306903 had a related patch set uploaded (by Urbanecm):
Add throttling exception for UBC

https://gerrit.wikimedia.org/r/306903

Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Aug 26 2016, 1:16 PM
Urbanecm moved this task from Working on to To deploy on the User-Urbanecm board.Aug 26 2016, 7:59 PM
Urbanecm moved this task from Working on to To deploy on the Wikimedia-Site-requests board.

This change will be deployed at Monday 29th 13:00-14:00 UTC.

Change 306903 merged by jenkins-bot:
Add throttling exception for UBC

https://gerrit.wikimedia.org/r/306903

Mentioned in SAL [2016-08-29T13:26:02Z] <hashar@tin> Synchronized wmf-config/throttle.php: Add throttling exception for UBC T143951 (duration: 00m 46s)

Urbanecm closed this task as Resolved.Aug 29 2016, 1:27 PM
Urbanecm moved this task from To deploy to Done on the Wikimedia-Site-requests board.